hud.add(function (v, p)
	if p.skin ~= #skins.afton then return end
	local v_colmap = V_YELLOWMAP
	if (p.spectator) then
		v_colmap = V_GRAYMAP;
	else
		if (G_TagGametype() and (p.pflags & PF_TAGIT)) then
			v_colmap = V_ORANGEMAP;
		elseif (G_GametypeHasTeams()) then
			if (p.ctfteam == 1) then
				v_colmap = V_REDMAP;
			elseif (p.ctfteam == 2) then
				v_colmap = V_BLUEMAP;
			end
		end
	end
	v.drawString(
		hudinfo[HUD_LIVES].x+18,
		hudinfo[HUD_LIVES].y,
		skincolors[p.skincolor].name .. " GUY",
		hudinfo[HUD_LIVES].f | V_HUDTRANS | v_colmap,
		"thin"
	)
end)